Order Validation
Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.
Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum
Validate an order model and return if the order is possible or not.
POST https://api.hypeproxy.io/v2/Orders/Validate
Request Body
productId*
Guid
Product Id
locationId*
Guid
Location Id
billingPeriod*
Enum
Daily, Weekly, Monthly or Yearly
paymentMethod*
Enum
CreditCard or Cryptos
quantity*
Integer
Quantity, like 1, 2, 3, 10 etc
isAutoRenewed*
Boolean
If payment should be renewed every end of billing period.
couponCode
String
If you have a coupon code you can put it there.
{
"message": "Validation Passed. You can now use /v2/Orders endpoint to create an order.",
"statusCode": "OK",
"requestDetails": {
"userId": "00000000-0000-0000-0000-000000000000",
"endpoint": "/v2/Orders/Validate",
"date": "2021-11-07T15:01:06.776251Z",
"timestamp": 1636297266,
"userAgent": "PostmanRuntime/7.28.4",
"clientIp": "::1"
},
"data": {
"price": {
"unitPrice": 55,
"totalPrice": 55
}
}
}{
"errors": [
{
"code": "InsufficientQuantityAvailable",
"message": "Insufficient quantity available for this kind of products/locations."
}
],
"message": "Request failed.",
"statusCode": "BadRequest",
"requestDetails": {
"userId": "00000000-0000-0000-0000-000000000000",
"endpoint": "/v2/Orders/Validate",
"date": "2021-11-07T15:02:02.753931Z",
"timestamp": 1636297322,
"userAgent": "PostmanRuntime/7.28.4",
"clientIp": "::1"
}
}Last updated